Page MenuHomePhabricator

Expose revision.rev_content_format on replicated wikidatawiki
Closed, ResolvedPublic

Description

https://noc.wikimedia.org/conf/InitialiseSettings.php.txt says:

'wgContentHandlerUseDB' => array(
'default' => false,
'wikidata' => true,
),

so I assume it's ready there.


Version: unspecified
Severity: normal

Details

Reference
bz54164

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:49 AM
bzimport added a project: Toolforge.
bzimport set Reference to bz54164.

Also for testwikidatawiki too.

coren added a comment.Oct 16 2013, 1:27 PM

It was a simple exception to add.

Really fixed?

A database query error has occurred.
Query: SELECT rev_id,rev_page,rev_text_id,rev_timestamp,rev_comment,rev_user_text,rev_user,rev_minor_edit,rev_deleted,rev_len,rev_parent_id,rev_sha1,rev_content_format,rev_content_model,page_namespace,page_title,page_id,page_latest,page_is_redirect,page_len,user_name FROM wikidatawiki_p.revision_userindex INNER JOIN wikidatawiki_p.page ON ((page_id = rev_page)) LEFT JOIN wikidatawiki_p.user ON ((rev_user != 0) AND (user_id = rev_user)) WHERE page_id = '439230' AND rev_id = '93329328' LIMIT 1
Function: Revision::fetchFromConds
Error: 1054 Unknown column 'rev_content_format' in 'field list' (wikidatawiki.labsdb)

coren added a comment.Apr 1 2014, 4:36 PM

Ah, I may have forgotten to add it to the alternate views as well. Will fix shortly.

coren added a comment.May 19 2014, 2:05 PM

Ah, hm. It fails to apply because my view management system right now does not properly deal with the concept that the same schema doesn't apply to all databases. This will need some ugly exception code.

coren added a comment.Sep 15 2014, 3:43 PM

Now that this schema change has been propagated it's possible to do cleanly.

Change 160459 had a related patch set uploaded by coren:
Labs: merge in changes to maintain-replicas.pl

https://gerrit.wikimedia.org/r/160459

Change 160459 merged by coren:
Labs: merge in changes to maintain-replicas.pl

https://gerrit.wikimedia.org/r/160459

Seems completely resolved?

Restricted Application added a project: Cloud-Services. · View Herald TranscriptOct 10 2015, 3:25 AM